/*
   Copyright (c) 2005 Lucas Mello Schnorr (schnorr@gmail.com)
   
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#include <Foundation/Foundation.h>
#include <Paje/Paje.h>

int main(int argc, char **argv)
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];

	/* Declaring the PajeHeaderCenter */
	PajeHeaderCenter *headerCenter;

	/* Allocating and initalizing the PajeHeaderCenter */
	headerCenter = [[PajeHeaderCenter alloc] initWithDefaultHeader];

	/* Printing on screen the headers */
	NSLog (@"%@", [headerCenter print]);

	/* From now on, you can use the default events of Paje 
	 * without the need to add their headers to the PajeHeaderCenter.
	 * To get an event in Paje file format, you must 
	 * invoke printWithProvider of the event and pass as parameter
	 * an instance of PajeHeaderCenter */
	PajeStartLink *startLink = [[PajeStartLink alloc] init];

	/* Before invoking the printWithProvider, you should
	 * set the values for all the fields of startLink event
	 */
	[startLink setTime: @"0.0"];
	[startLink setEntityType: @"entity_type"];
	[startLink setContainer: @"container"];
	[startLink setValue: @"value"];
	[startLink setSourceContainer: @"source_container"];
	[startLink setKey: @"key"];
	NSLog (@"%@", [startLink printWithProvider: headerCenter]);

	PajeDefineLinkType *defineLinkType = [[PajeDefineLinkType alloc]init];
	[defineLinkType setAlias: @"alias"];
	NSLog (@"%@", [defineLinkType printWithProvider: headerCenter]);
	
	
	
	[pool release];
	return 0;
}
