/**
   Copyright (c) 2005 Lucas Mello Schnorr 

   Written by: Lucas Mello Schnorr <schnorr@gmail.com>
   
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __PAJEADDVARIABLEEVENT_H
#define __PAJEADDVARIABLEEVENT_H
#include <Foundation/Foundation.h>
#include "PajeEvent.h"


/**
 * This event has fields:<br />
 * <list>
 * <item><strong>Time</strong> - Time the variable changed value</item>
 * <item><strong>EntityType</strong> - Type of variable</item>
 * <item><strong>Container</strong> - Container whose value changed</item>
 * <item><strong>Value</strong> - Value to be added to variable</item>
 * </list>
 * <p>
 * This event increments by <strong>Value</strong>
 * the value of the variable identified by <strong>EntityType</strong>
 * contained in container <strong>Container</strong> in simulation time
 * <strong>Time</strong>. The <strong>Time</strong> can be set through the
 * method  [-setTime:]. The others can be set through methods listed below.</p>
 */
@interface PajeAddVariable : PajeEvent
- setEntityType: (NSString *) entityType;
- setContainer: (NSString *) container;
- setValue: (NSString *) value;
@end

#endif
