/**
   Copyright (c) 2005 Lucas Mello Schnorr 

   Written by: Lucas Mello Schnorr <schnorr@gmail.com>
   
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __PAJEDEFINECONTAINERTYPE_H
#define __PAJEDEFINECONTAINERTYPE_H
#include <Foundation/Foundation.h>
#include "PajeEvent.h"

/**
 * This event has fields:<br />
 * <list>
 * <item><strong>Name</strong> - Name of new container type</item>
 * <item><strong>ContainerType</strong> - Parent container Type</item>
 * <item><strong>Alias</strong> - Alternative name of new container type</item>
 * </list>
 *
 * <p>Events of this type define a new container type called
 * <strong>Name</strong>, contained by a previously defined container
 * type <strong>ContainerType</strong> (or the special container type <strong>0</strong>
 * og<strong>/</strong>, if this container type is the top of the container
 * hierarchy). This event can contain a field <strong>Alias</strong>
 * with an alias name to be used to identify this container. Aliases are usually
 * short strings used when the container name is too big and its use throughout
 * the trace file would increase its size. All fields can be set through methods
 * listed below.</p>
 */
@interface PajeDefineContainerType : PajeEvent
- setAlias: (NSString *) alias;
- setContainerType: (NSString *) containerType;
- setName: (NSString *) name;
@end

#endif
