/**
   Copyright (c) 2005 Lucas Mello Schnorr 

   Written by: Lucas Mello Schnorr <schnorr@gmail.com>
   
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __PAJEDEFINEENTITYVALUE_H
#define __PAJEDEFINEENTITYVALUE_H
#include <Foundation/Foundation.h>
#include "PajeEvent.h"

/**
 * This event has fields:<br />
 * <list>
 * <item><strong>Name</strong> - Name of </item>
 * <item><strong>EntityType</strong> - Type of entity that can have this
 * value</item>
 * <item><strong>Alias</strong> - Alternative name of new value</item>
 * </list>
 *
 * <p>Used to give names to the possible values of
 * an entity type. <strong>Alias</strong> will represent the value
 * <strong>Name</strong> that entities of type <strong>EntityType</strong> can have.</p>
 */
@interface PajeDefineEntityValue : PajeEvent
- setEntityType: (NSString *) entityType;
- setName: (NSString *) name;
- setAlias: (NSString *) alias;
@end
#endif
