/**
   Copyright (c) 2005 Lucas Mello Schnorr 

   Written by: Lucas Mello Schnorr <schnorr@gmail.com>
   
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __PAJEDEFINESTATETYPE_H
#define __PAJEDEFINESTATETYPE_H
#include <Foundation/Foundation.h>
#include "PajeEvent.h"

/**
 * This event has fields:<br />
 * <list>
 * <item><strong>Name</strong> - Name of new entity type</item>
 * <item><strong>ContainerType</strong> - Type of container of entity</item>
 * <item><strong>Alias</strong> - Alternative name of new entity type</item>
 * </list>
 * 
 * <p>
 * Entities of this new type will represent states, and are displayed as
 * rectangles in the space-time diagram.
 * The definition contains the fields <strong>Name</strong> and
 * <strong>ContainerType</strong>. It can have a field
 * <strong>Alias</strong>. All fields can be set through methods
 * listed below.</p>
 */
@interface PajeDefineStateType : PajeEvent
- setAlias: (NSString *) alias;
- setContainerType: (NSString *) containerType;
- setName: (NSString *) name;
@end
#endif
