/**
   Copyright (c) 2005 Lucas Mello Schnorr

   Written by: Lucas Mello Schnorr <schnorr@gmail.com>
   
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __PAJEDESTROYCONTAINER_H
#define __PAJEDESTROYCONTAINER_H
#include <Foundation/Foundation.h>
#include "PajeEvent.h"

/**
 * This event has fields:<br />
 * <list>
 * <item><strong>Time</strong> - Time of destruction of container</item>
 * <item><strong>Type</strong> - Type of container</item>
 * <item><strong>Container</strong> - Container that will be destroyed</item>
 * </list>
 *
 * <p>
 * The <strong>Type</strong> field is the type of container,
 * previously defined with [PajeDefineContainerType] event. The
 * <strong>Container</strong> field is the
 * container that will be destroyed.
 * After simulating this event in Paj, the container
 * of type <strong>Type</strong> and identified by <strong>Container</strong>
 * will be marked as being destroyed at time <code>Time</code>.
 * The <strong>Time</strong> can be set through the
 * method  [-setTime:]. The others can be set through methods listed below.</p>
 */
@interface PajeDestroyContainer : PajeEvent
- setType: (NSString *) type;
- setContainer: (NSString *) container;
@end
#endif
