/**
   Copyright (c) 2005 Lucas Mello Schnorr

   Written by: Lucas Mello Schnorr <schnorr@gmail.com>
   
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __PAJE_HIERARCHY_NODE_H
#define __PAJE_HIERARCHY_NODE_H
#include <Foundation/Foundation.h>
#include "PajeEvent.h"

@interface PajeHierarchyNode : NSObject
{
	NSString *name;
	NSString *myAlias;
	NSString *parentAlias;
}
+ (PajeHierarchyNode *) nodeWithDictionary: (NSDictionary *) dict 
             andProvider: (id) provider
	      andFatherAlias: (NSString *) fatherAlias;
- (NSMutableArray *) convert;
- (id) initWithDictionary: (NSDictionary *) dict
       andProvider: (id) provider 
                     andFatherAlias: (NSString *) faAlias;
- (NSMutableArray *) allEntityOfType: (Class) type;
@end

#include "PajeHierarchyState.h"
#include "PajeHierarchyVariable.h"
#include "PajeHierarchyValue.h"
#include "PajeHierarchyContainer.h"
#include "PajeHierarchyEvent.h"
#include "PajeHierarchyLink.h"
#include "PajeHierarchyRoot.h"
#endif
