/**
   Copyright (c) 2005 Lucas Mello Schnorr

   Written by: Lucas Mello Schnorr <schnorr@gmail.com>
   
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __PAJENEWEVENT_H
#define __PAJENEWEVENT_H
#include <Foundation/Foundation.h>
#include "PajeEvent.h"


/**
 * This event has fields:<br />
 * <list>
 * <item><strong>Time</strong> - Time of the event</item>
 * <item><strong>EntityType</strong> - Type of event</item>
 * <item><strong>Container</strong> - Container where event happend</item>
 * <item><strong>Value</strong> - Value of the event</item>
 * </list>
 * <p>
 * This is a singular event that is related to <strong>Container</strong>
 * at time <strong>Time</strong>.
 * The type of this event in type hierarchy is defined by
 * <strong>EntityType</strong>.
 * The <strong>Time</strong> can be set through the
 * method  [-setTime:]. The others can be set through methods listed below.</p>
 */
@interface PajeNewEvent : PajeEvent
- setEntityType: (NSString *) et;
- setContainer: (NSString *) c;
- setValue: (NSString *) v;
@end
#endif
