/**
   Copyright (c) 2005 Lucas Mello Schnorr

   Written by: Lucas Mello Schnorr <schnorr@gmail.com>
   
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#ifndef __PAJESETVARIABLE_H
#define __PAJESETVARIABLE_H
#include <Foundation/Foundation.h>
#include "PajeEvent.h"

/**
 * This event has fields:<br />
 * <list>
 * <item><strong>Time</strong> - Time the variable changed</item>
 * <item><strong>EntityType</strong> - Type of variable</item>
 * <item><strong>Container</strong> - Container whose value changed</item>
 * <item><strong>Value</strong> - New value of variable</item>
 * </list>
 *
 * <p>
 * The field <strong>EntityType</strong> is the identification of this
 * variable in the hierarchy of entities and should be previously defined with
 * the event [PajeDefineVariableType]. The <strong>Container</strong> is the
 * identification of container that has the variable.  The
 * <strong>Value</strong> field identifies the new value of this variable.
 * The <strong>Time</strong> can be set through the
 *  method  [-setTime:]. The others can be set through methods listed below.</p>
 */
@interface PajeSetVariable : PajeEvent
- setEntityType: (NSString *) entityType;
- setContainer: (NSString *) container;
- setValue: (NSString *) value;

@end

#endif
