/*
   Copyright (c) 2005 Lucas Mello Schnorr 

   Written by: Lucas Mello Schnorr <schnorr@gmail.com>
     
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#include "PajeCreateContainer.h"


@implementation PajeCreateContainer
- initializeHeader
{
	int i;

        if (header != nil){
                [header release];
        }
        header = [[PajeHeader alloc] init];
        [header setName: @"PajeCreateContainer"];
        [header addFieldNamed: @"Time" withType: @"date"];
        [header addFieldNamed: @"Alias" withType: @"string"];
        [header addFieldNamed: @"Type" withType: @"string"];
        [header addFieldNamed: @"Container" withType: @"string"];
        [header addFieldNamed: @"Name" withType: @"string"];

        if (values != nil){
                [values release];
        }
        values = [[NSMutableArray alloc] init];
        for (i = 0; i < [header count]-1; i++){
                [values addObject: @""];
        }	
}

- (id) init
{
	self = [super init];
	[self initializeHeader];
        timeEvent = YES;
        return self;
}


- (id) initWithTime: (NSString *) atime
{
	[super init];
	[time = atime retain];
	[self initializeHeader];
	timeEvent = YES;
	return self;
}

- setAlias: (NSString *) alias
{
        [values replaceObjectAtIndex: 0 withObject: alias];
}

- setType: (NSString *) type
{
        [values replaceObjectAtIndex: 1 withObject: type];
}

- setContainer: (NSString *) container
{
        [values replaceObjectAtIndex: 2 withObject: container];
}

- setName: (NSString *) name
{
        [values replaceObjectAtIndex: 3 withObject: name];
}
@end

