/*
   Copyright (c) 2005 Lucas Mello Schnorr 

   Written by: Lucas Mello Schnorr <schnorr@gmail.com>
   
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#include "PajeDefineContainerType.h"

@implementation PajeDefineContainerType
- initializeHeader
{
        int i;

        if (header != nil){
                [header release];
        }
        header = [[PajeHeader alloc] init];
        [header setName: @"PajeDefineContainerType"];
        [header addFieldNamed: @"Alias" withType: @"string"];
        [header addFieldNamed: @"ContainerType" withType: @"string"];
        [header addFieldNamed: @"Name" withType: @"string"];

        if (values != nil){
                [values release];
        }
        values = [[NSMutableArray alloc] init];
        for (i = 0; i < [header count]; i++){
                [values addObject: @""];
        }
}

- (id) init
{
	self = [super init];
	[self initializeHeader];
	timeEvent = YES;
	return self;
}


- (id) initWithTime: (NSString *) atime
{
        self = [super init];
        [self initializeHeader];
        time = [[NSString alloc] initWithFormat: @"0.0"];
	timeEvent = NO;
        return self;
}

- setAlias: (NSString *) alias
{
	[values replaceObjectAtIndex: 0 withObject: alias];
}

- setContainerType: (NSString *) containerType
{
	[values replaceObjectAtIndex: 1 withObject: containerType];
}

- setName: (NSString *) name
{
	[values replaceObjectAtIndex: 2 withObject: name];
}
@end
