/*
   Copyright (c) 2005 Lucas Mello Schnorr

   Written by: Lucas Mello Schnorr <schnorr@gmail.com>
   
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#include "PajeHeaderCenter.h"

@implementation PajeHeaderCenter
- (id) init
{
	self = [super init];
	headers = [[NSMutableSet alloc] init];
	return self;
}

- (id) initWithDefaultHeader
{
	self = [super init];
	[self addHeader: [[[PajeAddVariable alloc] init] header]];
	[self addHeader: [[[PajeCreateContainer alloc] init] header]];
	[self addHeader: [[[PajeDefineContainerType alloc] init] header]];
	[self addHeader: [[[PajeDefineEntityValue alloc] init] header]];
	[self addHeader: [[[PajeDefineEventType alloc] init] header]];
	[self addHeader: [[[PajeDefineLinkType alloc] init] header]];
	[self addHeader: [[[PajeDefineStateType alloc] init] header]];
	[self addHeader: [[[PajeDefineVariableType alloc] init] header]];
	[self addHeader: [[[PajeDestroyContainer alloc] init] header]];
	[self addHeader: [[[PajeEndLink alloc] init] header]];
	[self addHeader: [[[PajePopState alloc] init] header]];
	[self addHeader: [[[PajePushState alloc] init] header]];
	[self addHeader: [[[PajeSetState alloc] init] header]];
	[self addHeader: [[[PajeSetVariable alloc] init] header]];
	[self addHeader: [[[PajeStartLink alloc] init] header]];
	[self addHeader: [[[PajeSubVariable alloc] init] header]];
	return self;
}

- (NSString *) print
{
	int code, maxcode;
	int i;
	NSMutableString *ret = [NSMutableString string];

	maxcode = -1;
	//fint out max code
	for (i = 0; i < [[headers allObjects] count]; i++){
		if ([[[headers allObjects] objectAtIndex: i] code] > maxcode){
			maxcode = [[[headers allObjects] objectAtIndex: i]code];
		}
	}
	for (code = 0; code <= maxcode; code++){
		for (i = 0; i < [[headers allObjects] count]; i++){
			if ([[[headers allObjects] objectAtIndex:i]code]==code){
				[ret appendString: [[[headers allObjects] objectAtIndex: i] print]];
			}
		}
	}
	return ret;
}

- (BOOL) addHeader: (PajeHeader *) header
{
	static int codes = 0;
	int i;
	NSArray *head;

	if (headers == nil){
		headers = [[NSMutableSet alloc] init];
	}
	if (header == nil){
		return NO;
	}
	head = [headers allObjects];
	for (i = 0; i < [head count]; i++){
		if ([[head objectAtIndex: i] isEqual: header] == YES){
//			NSLog (@"header name %@ found", [header name]);
			return;
		}
	}
	[headers addObject: header];
	[header setCode: codes];
	codes++;
	return YES;
}

- (int) codeForHeader: (PajeHeader *) header
{
	NSArray *head;
	int i;
	
	head = [headers allObjects];
	for (i = 0; i < [head count]; i++){
		if ([[head objectAtIndex: i] isEqual: header] == YES){
			return [[head objectAtIndex: i] code];
		}
	}
	return -1;
}
@end
