/*
   Copyright (c) 2005 Lucas Mello Schnorr 

   Written by: Lucas Mello Schnorr <schnorr@gmail.com>
   
   This file is part of libPaje.
   
   libPaje is free software; you can redistribute it and/or modify it under
   the terms of the GNU Lesser General Public License as published by the
   Free Software Foundation; either version 2 of the License, or (at your
   option) any later version.
   
   libPaje is distributed in the hope that it will be useful, but WITHOUT ANY
   WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
   FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License
   for more details.
   
   You should have received a copy of the GNU Lesser General Public License
   along with libPaje; if not, write to the Free Software Foundation, Inc.,
   59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/
#include "PajeHierarchyVariable.h"

@implementation PajeHierarchyVariable
- (id) initWithDictionary: (NSDictionary *) dict
              andProvider: (PajeHierarchy *) provider
              andFatherAlias: (NSString *) faAlias;
			 
{
  self = [super init];
  [provider retain];
  parentAlias = faAlias;
  [parentAlias retain];
  name = [dict valueForKey: @"name"];
  if (name == nil){
     NSLog (@"libPaje(%s): in definition of type 'variable', 'name' key is required", __FUNCTION__);
     return nil;
  }
  [name retain];

  myAlias = [provider newAliasToName: name];
  [myAlias retain];

  event = [[PajeDefineVariableType alloc] initWithTime: @"0.0"];
  [event setContainerType: parentAlias];
  [event setAlias: myAlias];
  [event setName: name];
  
  [provider release];
  return self;
}

- (void) dealloc
{
  [event release];
  [super dealloc];
}

- (NSMutableArray *) convert
{
   NSMutableArray *ret;
   int i;
   ret = [[NSMutableArray alloc] init];
   [ret addObject: event];
   [ret autorelease];
   return ret;
}


/*
- (NSString *) typeEvent
{
  NSMutableString *ret = [NSMutableString string];
  NSArray *order;
  int i;

  order = [eventDesc order];
  [order retain];
  [ret appendFormat: @"%@ ", [eventDesc pajeSingleEventAlias]];
  for (i = 0; i < [order count]; i++){
    NSString *field = [order objectAtIndex: i];
    if ([field isEqual: NEWTYPE_ALIAS]){
       [ret appendFormat: @"%@ ", alias];
    }else if ([field isEqual: NEWNAME_NAME]){
       [ret appendFormat: @"\"%@\" ", name];
    }else if ([field isEqual: CONTAINERTYPE_CONTAINER]){
       [ret appendFormat: @"%@ ", fatherAlias];
    }
  }
  [ret appendString: @"\n"];
  [order release];
  order = nil;
  return ret;
}


- (NSString *) description
{
  NSMutableString *ret = [NSMutableString string];
  int i;

  [ret appendString: [super description]];
  [ret appendFormat: @" %@\n", name];
  return ret;
}
*/
@end
